imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: services.yml }
    - { resource: vich/uploader.yml }
    - { resource: fos/user.yml }
    - { resource: easyadmin/easyadmin.yml }
 
# fos_ck_editor:
#     input_sync: true
#     default_config: base_config
#     configs:
#         base_config:
#             toolbar:
#                 - { name: "styles", items: ['Bold', 'Italic', 'BulletedList', 'Link'] }

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: fr
    key: c016333d7ea64b34f9d3c3daea4f9fd6
    # excel_directory: '%kernel.root_dir%/web/uploads/excel'
    # host_api_atelier_conference: https://tech.salondesentrepreneurs.com/flux/xml_conferences.php?salon=paris&annee=2020
    # host_api_atelier_exposant: https://tech.salondesentrepreneurs.com/flux/xml_exposants.php?salon=paris&annee=2020
    # user_webservice: bliwe@comexposium.com
    # password_webservice: 8zEnPzvqA9S3mQO7wW0
    # url_webservice_comexposium_token: http://www.e-registration.net/WebServices/WS_Catalogue/authentificationws.asmx?wsdl
    access_key: "%key%"
    # url_webservice_comexposium_catalogue: http://www.e-registration.net/WebServices/WS_Catalogue/parametragecataloguews.asmx
    #host_api_atelier_exposant : https://tech.salondesentrepreneurs.com/io/inwink/pan_exhibitors.php?event=2360fda0-7354-ed11-ade6-cc60c88fa266
    #host_api_atelier_exposant : https://tech.salondesentrepreneurs.com/io/inwink/pan_exhibitors.php?event=e442a0a3-9559-ec11-94f6-a04a5e7cd2d9 // 2022
    #host_api_atelier_conference: https://tech.salondesentrepreneurs.com/io/inwink/pan_sessions.php?event=2360fda0-7354-ed11-ade6-cc60c88fa266
    # host_api_atelier_conference: https://tech.salondesentrepreneurs.com/io/inwink/pan_sessions.php?event=e442a0a3-9559-ec11-94f6-a04a5e7cd2d9
    #host_api_speakers: https://vt-search-service-gtab.azurewebsites.net/api/speaker/search/?count=3000
    host_api_atelier_conference:  http://dev.vivatech2023.napsy.com/sessions-4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    # host_api_atelier_conference:  http://127.0.0.1/sessions-4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    #host_api_atelier_conference2:  http://tech.salondesentrepreneurs.com/io/inwink/pan_sessions.php?event=dcbd6114-9959-ec11-94f6-a04a5e7cd2d9
    host_api_token: "eyJhbGciOiJSUzI1NiIsImtpZCI6IjdFNzI5Q0Q2NEExMjFFOTRDRjFFQUM0RkZBM0I2MzE3RTE4OUZCQTIiLCJ0eXAiOiJKV1QifQ.eyJzdWIiOiJzaWduYWxkaWdpdC1zeW5jIiwiaHR0cDovL3NjaGVtYXMubWljcm9zb2Z0LmNvbS93cy8yMDA4LzA2L2lkZW50aXR5L2NsYWltcy9yb2xlIjoiYXBwbGljYXRpb24iLCJ0b2tlbl91c2FnZSI6ImFjY2Vzc190b2tlbiIsImp0aSI6Ijc5MWU2OTNiLWVlMmMtNDZhNS1hYjRmLWJkZmY0YmFkMzQyZSIsImNmZF9sdmwiOiJwcml2YXRlIiwic2NvcGUiOiJyZWFkLXBlcnNvbnNhbmRzZXNzaW9ucyIsImF6cCI6InNpZ25hbGRpZ2l0LXN5bmMiLCJuYmYiOjE2NTQwMDc4ODYsImV4cCI6MTY1NDAxODY4NiwiaWF0IjoxNjU0MDA3ODg2LCJpc3MiOiJodHRwczovL2F1dGguaW53aW5rLmNvbS8ifQ.s8JLGygxUgvmaeBPqevy7sJpYGomOAJq8-eB3maswacOJ3uwMGkNlYBk4B0BFaY_hNXP7Fu5gvr2pATQLGmkm-DCHsovB9CsnDyf0lkfcmpbljUUTqsv6nkr8Ukfk-DqZsmjkYnz51F4vVZwLNAWELhdThDEt69vtPRQVdhIaOvTMieWtQNjoaMXg3_S9nZ4GjkJNZqHFbrfUJHeJydGn5DKAEWxJumHiIqJG50AdwKiI4YN4FBc_AxmnNtkEiAKA_BAsDKbPS_4sr-N3bL8_odOP5t3Gb2ZnV4Xb1768qkR7LiKIq6y2Qf9LZWAYl2kBsL71k0tMQ9SLHBpeLfpIQ"
    host_api_atelier_exposant : http://dev.vivatech2023.napsy.com/4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    # host_api_atelier_exposant : http://127.0.0.1/4346b890-186a-ec11-94f6-a04a5e7d3e24.json
    host_api_atelier_conference_source: https://api-event.inwink.com/ad3ef856-c56f-ed11-ac20-cc60c8a87a13/session/query
    host_api_atelier_exposant_source: https://api-event.inwink.com/ad3ef856-c56f-ed11-ac20-cc60c8a87a13/exhibitor/query
    host_api_auth_source: https://auth.inwink.com/512012c6-bc0e-476e-89db-ef484187313d/connect/token
    auth_post_source : client_id=signaldigit-sync&client_secret=6cde24c1-0a2f-418b-a746-5da925c14681&scope=read-personsandsessions&grant_type=client_credentials
    event: 2360fda0-7354-ed11-ade6-cc60c88fa266
    #event: e442a0a3-9559-ec11-94f6-a04a5e7cd2d9
    last_atelier_synch_filename : last_atelier_synch.csv
framework:
    #esi: ~
    translator: { fallbacks: ['%locale%'] }
    secret: '%secret%'
    router:
        resource: '%kernel.project_dir%/app/config/routing.yml'
        strict_requirements: ~
    form: ~
    csrf_protection: ~
    validation: { enable_annotations: true }
    #serializer: { enable_annotations: true }
    default_locale: '%locale%'
    trusted_hosts: ~
    templating:
        engines: ['twig']
    session:
        # https://symfony.com/doc/current/reference/configuration/framework.html#handler-id
        handler_id: session.handler.native_file
        save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'
    fragments: ~
    http_method_override: true
    assets: ~
    php_errors:
        log: true
    serializer:
        enabled: true  
        enable_annotations: true  

# Twig Configuration
twig:
    debug: '%kernel.debug%'
    strict_variables: '%kernel.debug%'

# Doctrine Configuration
doctrine:
    dbal:
        driver: pdo_mysql
        host: '%database_host%'
        port: '%database_port%'
        dbname: '%database_name%'
        user: '%database_user%'
        password: '%database_password%'
        charset: UTF8
        # if using pdo_sqlite as your database driver:
        #   1. add the path in parameters.yml
        #     e.g. database_path: '%kernel.project_dir%/var/data/data.sqlite'
        #   2. Uncomment database_path in parameters.yml.dist
        #   3. Uncomment next line:
        #path: '%database_path%'

    orm:
        auto_generate_proxy_classes: '%kernel.debug%'
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true
        
sensio_framework_extra:
   view: { annotations: true }
   router:
        annotations: true
            
fos_rest:
    routing_loader:
        include_format: false
    body_converter:
        enabled: true
    view:
        formats: { json: true, xml: false, rss: false }
        view_response_listener: true
    serializer:
        serialize_null: true
    format_listener:
        rules:
            - { path: '^/api', priorities: ['json'], fallback_format: 'json' }
            - { path: '^/', priorities: [ 'html', '*/*'], fallback_format: ~ }
# Swiftmailer Configuration
swiftmailer:
    transport: '%mailer_transport%'
    host: '%mailer_host%'
    username: '%mailer_user%'
    password: '%mailer_password%'
    spool: { type: memory }

nelmio_api_doc: ~


    #    TAtelier:
    #         class: AppBundle\Entity\TAtelier
    #         form:
    #            # fields:
    #                # - { property: 'description', type: 'ckeditor' ,type_options: { trim: true }}
                
    #             #- { property: 'vch_description', type: 'ckeditor', type_options: { 'config': { 'toolbar': [ { name: 'styles', items: ['Bold', 'Italic', 'BulletedList', 'Link'] } ] } } }

    #   TExhibitors:
    #         class: AppBundle\Entity\TExhibitors
    #         form:
    #   TExhibitionStand:
    #         class: AppBundle\Entity\TExhibitionStand
    #         form:
    #         # controller: AppBundle\Controller\TExhibitionStandController
    #         # templates:
    #             # Twig namespace template syntax
    #         #     edit: '@AppBundle/views/edit-stand.html.twig'
                
    #   TSalle:
    #         class: AppBundle\Entity\TSalle
    #         form:
                
    #   TIntervenat:
    #         class: AppBundle\Entity\TIntervenat
    #         form:
                
    #   TParticipanttype:
    #         class: AppBundle\Entity\TParticipanttype
    #         form:
               
    #   TConferencetype:
    #         class: AppBundle\Entity\TConferencetype
    #         form:
                
    #   TThematique:
    #         class: AppBundle\Entity\TThematique
    #         form:

    #   TInnovation:
    #         class: AppBundle\Entity\TInnovation
    #         form:

    #   TActivityArea:
    #         class: AppBundle\Entity\TActivityArea
    #         form:
    
    #   TActivityArea:
    #         class: AppBundle\Entity\TActivityArea
    #         form:                